Package org.kie.internal.builder.conf

## Enum GroupDRLsInKieBasesByFolderOption

- java.lang.Object
- - java.lang.Enum<GroupDRLsInKieBasesByFolderOption>
  - - org.kie.internal.builder.conf.GroupDRLsInKieBasesByFolderOption

- All Implemented Interfaces:
    `Serializable`, `Comparable<GroupDRLsInKieBasesByFolderOption>`, `org.kie.api.conf.KieBaseOption`, `org.kie.api.conf.Option`, `org.kie.api.conf.SingleValueKieBaseOption`, `KnowledgeBuilderOption`, `SingleValueKnowledgeBuilderOption`

      public enum GroupDRLsInKieBasesByFolderOption
      extends Enum<GroupDRLsInKieBasesByFolderOption>
      implements SingleValueKnowledgeBuilderOption, org.kie.api.conf.SingleValueKieBaseOption

  By default all the Drools artifacts under the resources folder, at any level, are included into the KieBase. The package attribute of the kmodule.xml allows to limit the artifacts that will be compiled in this KieBase to only the ones belonging to the list of packages. However older versions of Drools actually checked the folder name instead of the package one. This option allows to re-eanble that old folder-based behaviour. drools.groupDRLsInKieBasesByFolder = <true|false> DEFAULT = false

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DISABLED` |
    `ENABLED` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PROPERTY_NAME` | The property name for the enabling/disabling trim of cells values

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getPropertyName()` |
    `boolean` | `isGroupDRLsInKieBasesByFolder()` |
    `static GroupDRLsInKieBasesByFolderOption` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static GroupDRLsInKieBasesByFolderOption[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENABLED

          public static final GroupDRLsInKieBasesByFolderOption ENABLED

    - #### DISABLED

          public static final GroupDRLsInKieBasesByFolderOption DISABLED

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The property name for the enabling/disabling trim of cells values
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static GroupDRLsInKieBasesByFolderOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GroupDRLsInKieBasesByFolderOption c : GroupDRLsInKieBasesByFolderOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GroupDRLsInKieBasesByFolderOption valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### isGroupDRLsInKieBasesByFolder

          public boolean isGroupDRLsInKieBasesByFolder()